Bug 137446 - ioctl on HP Smart Array 532 failure
Summary: ioctl on HP Smart Array 532 failure
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-28 15:37 UTC by Alan Ferrier
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 20:56:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Removes duplicate BLKBSZGET and adds BLKSSZGET (763 bytes, patch)
2004-11-01 15:14 UTC, Mike Miller (OS Dev)
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:550 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 3 Update 4 2004-12-20 05:00:00 UTC
Red Hat Product Errata RHSA-2004:504 normal SHIPPED_LIVE Important: Updated Itanium kernel packages resolve security issues 2004-12-13 05:00:00 UTC
Red Hat Product Errata RHSA-2004:505 normal SHIPPED_LIVE Important: Updated kernel packages fix security vulnerability 2004-12-13 05:00:00 UTC

Description Alan Ferrier 2004-10-28 15:37:27 UTC
Description of problem:

ioctl on HP Smart Array 532 returns an error when querying sector
size. This essentially means that the installation of Oracle 10g with
Automatic Storage Management fails. This has also been raised with Oracle

Version-Release number of selected component (if applicable):

Linux version 2.4.21-20.ELsmp (bhcompile@tweety.build.redhat.com) (gcc
version 3.2.3 20030502 (Red Hat Linux 3.2.3-42)) #1 SMP Wed Aug 18
20:46:40 EDT 2004

How reproducible:

Always reproducible

Steps to Reproduce:

# blockdev --getsize /dev/cciss/c0d2
71130720
# blockdev --getss /dev/cciss/c0d2
BLKSSZGET: Invalid request code
  
Actual results:

# blockdev --getss /dev/cciss/c0d2
BLKSSZGET: Invalid request code

Expected results:

# blockdev --getss /dev/cciss/c0d2
512

Additional info:

Comment 1 Alan Ferrier 2004-10-28 15:46:51 UTC
Notes : This behaviour is reproducible on all ES3 releases (to update
3) and also on vanilla 2.4 kernels (to 2.4.27)

We have installed a test 2.6.9 kernel on this hardware, This detects
and reports the blockdev information correctly.

Comment 2 Alan Ferrier 2004-10-29 16:22:02 UTC
May possibly be related to Bugzilla Feature #109881 - this "bug" was
EL 2.1 related and it was stated that the same issue didn't affect EL
3 - It certainly seems similar and the test code supplied to reproduce
the problem on EL 2.1 certainly appears to imply the bug still exists
in EL 3.

Comment 3 Mike Miller (OS Dev) 2004-11-01 15:14:05 UTC
Created attachment 106014 [details]
Removes duplicate BLKBSZGET and adds BLKSSZGET

This patch applies to 2.4.21-21.EL

Comment 4 Ernie Petrides 2004-11-11 02:32:03 UTC
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-24.EL).


Comment 5 John Flanagan 2004-12-13 20:06:33 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-505.html


Comment 6 John Flanagan 2004-12-13 20:17:12 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-504.html


Comment 7 Ernie Petrides 2004-12-13 21:50:06 UTC
This bug was inappropriately listed in the above 2.1 Errata (listed above),
and thus should not have yet been closed.  I'm reverting it to MODIFIED
state until the RHEL3 Erratum is released (which should be in a week).


Comment 8 John Flanagan 2004-12-20 20:56:48 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html



Note You need to log in before you can comment on or make changes to this bug.